body {
    background-size: cover;
    background-position: center center; /* Asegura que la imagen esté siempre centrada */
    background-attachment: fixed;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    color: white;
    text-align: center;

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 5vh;
    box-sizing: border-box;
    position: relative;
    top: 0;
}

.header {
    margin: 0;
    padding: 20px;
    background: rgba(17, 17, 17, 0.900); /* Fondo gris claro semi-transparente */
    border-radius: 10px;
}

.logo {
    max-width: 50%;
    display: block;
    margin:  auto;
}

.title {

    font-size:x-large ; /* Tamaño de fuente responsivo */
    margin: 0;
}

.title span {
    font-size:medium; /* Tamaño de fuente responsivo para el span */
}
.stations {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 20px;
    color: rgb(242, 243, 248);
    max-width: 1200px;
}

.station {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 300px; /* Tamaño fijo para cada estación */
    margin: 10px;
    padding: 10px;
    background: rgba(17, 17, 17, 0.900); /* Fondo gris claro semi-transparente */
    border-radius: 10px;
    transition: transform 0.2s;
    box-sizing: border-box;
}

.station:hover {
    transform: scale(1.05);
}

.station-logo {
    width: 70px;
    margin-right: 10px;
}

.station span {
    color: white;
}

.station a:hover {
    text-decoration: underline;
}

/* Media queries para ajustar columnas */
@media (min-width: 1200px) {
    .station {
        flex: 1 1 calc(25% - 40px); /* Cuatro estaciones por fila en pantallas grandes */
    }
}

@media (min-width: 900px) and (max-width: 1199px) {
    .station {
        flex: 1 1 calc(33.33% - 40px); /* Tres estaciones por fila en pantallas medianas */
    }
}

@media (min-width: 600px) and (max-width: 899px) {
    .station {
        flex: 1 1 calc(50% - 40px); /* Dos estaciones por fila en pantallas pequeñas */
    }
}

@media (max-width: 599px) {
    .station {
        flex: 1 1 100%; /* Una estación por fila en pantallas muy pequeñas */
    }
    .logo {
        min-width: 150px;

    }
    .title {
        font-size:medium ; /* Tamaño de fuente responsivo */
    }
    
    .title span {
        font-size:small; /* Tamaño de fuente responsivo para el span */
    }

}